import { html as c } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (a, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, i = a.length - 1, o; i >= 0; i--)
    (o = a[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && g(t, s, e), e;
};
let n = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--linkExternalLarge", this.class = "c-pieIcon c-pieIcon--linkExternalLarge", this.name = "IconLinkExternalLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--linkExternalLarge"><path d="M26.5 6.734v5.889h1.75V5.5a1.5 1.5 0 0 0 0-.35 1.75 1.75 0 0 0-1.4-1.4 1.5 1.5 0 0 0-.35 0h-7.122V5.5h5.888l-9.625 9.625-1.863 1.855 1.242 1.242 1.855-1.846z"></path><path d="M24.873 15.597v6.125a3.91 3.91 0 0 1-3.903 3.903H10.269a3.91 3.91 0 0 1-3.894-3.894V11.03a3.91 3.91 0 0 1 3.894-3.903h6.125v-1.75h-6.125a5.696 5.696 0 0 0-5.644 5.653V21.73a5.687 5.687 0 0 0 5.688 5.688H20.97a5.696 5.696 0 0 0 5.688-5.688v-6.125z"></path></svg>`;
  }
};
l([
  p({ type: String, reflect: !0 })
], n.prototype, "size", 2);
l([
  p({ type: String, reflect: !0 })
], n.prototype, "class", 2);
n = l([
  f("icon-link-external-large")
], n);
export {
  n as IconLinkExternalLarge
};
